Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.xml
Interface XmlBeanDefinitionParser

Deprecated. as of Spring 2.0: superseded by BeanDefinitionDocumentReader

    public interface XmlBeanDefinitionParser

Strategy interface for parsing XML bean definitions. Used by XmlBeanDefinitionReader for actually parsing a DOM document.

Instantiated per document to parse: Implementations can hold state in instance variables during the execution of the `registerBeanDefinitions` method, for example global settings that are defined for all bean definitions in the document.

Since:
  18.12.2003
Author:
  Juergen Hoeller
See Also:
  `BeanDefinitionDocumentReader`, `XmlBeanDefinitionReader.setParserClass(java.lang.Class)`

Method Summary
`int` | `registerBeanDefinitions(BeanDefinitionReader reader, Document doc, Resource resource)` Deprecated. Parse bean definitions from the given DOM document, and register them with the given bean factory.

Method Detail

### registerBeanDefinitions

    int registerBeanDefinitions(BeanDefinitionReader reader,
                                Document doc,
                                Resource resource)
                                throws BeanDefinitionStoreException

  Deprecated.
  Parse bean definitions from the given DOM document, and register them with the given bean factory.

  Parameters:
    `reader` - the bean definition reader, containing the bean factory to work on and the bean class loader to use. Can also be used to load further bean definition files referenced by the given document.
    `doc` - the DOM document
    `resource` - descriptor of the original XML resource (useful for displaying parse errors)
  Returns:
    the number of bean definitions found
  Throws:
    `BeanDefinitionStoreException` - in case of parsing errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.